<?php

namespace ContainerHUc0xJj;
include_once \dirname(__DIR__, 4).''.\DIRECTORY_SEPARATOR.'vendor'.\DIRECTORY_SEPARATOR.'doctrine'.\DIRECTORY_SEPARATOR.'persistence'.\DIRECTORY_SEPARATOR.'lib'.\DIRECTORY_SEPARATOR.'Doctrine'.\DIRECTORY_SEPARATOR.'Persistence'.\DIRECTORY_SEPARATOR.'ObjectManager.php';
include_once \dirname(__DIR__, 4).''.\DIRECTORY_SEPARATOR.'vendor'.\DIRECTORY_SEPARATOR.'doctrine'.\DIRECTORY_SEPARATOR.'orm'.\DIRECTORY_SEPARATOR.'lib'.\DIRECTORY_SEPARATOR.'Doctrine'.\DIRECTORY_SEPARATOR.'ORM'.\DIRECTORY_SEPARATOR.'EntityManagerInterface.php';
include_once \dirname(__DIR__, 4).''.\DIRECTORY_SEPARATOR.'vendor'.\DIRECTORY_SEPARATOR.'doctrine'.\DIRECTORY_SEPARATOR.'orm'.\DIRECTORY_SEPARATOR.'lib'.\DIRECTORY_SEPARATOR.'Doctrine'.\DIRECTORY_SEPARATOR.'ORM'.\DIRECTORY_SEPARATOR.'EntityManager.php';

class EntityManager_9a5be93 extends \Doctrine\ORM\EntityManager implements \ProxyManager\Proxy\VirtualProxyInterface
{

    /**
     * @var \Doctrine\ORM\EntityManager|null wrapped object, if the proxy is initialized
     */
    private $valueHolder4f10c = null;

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $initializer7f831 = null;

    /**
     * @var bool[] map of public properties of the parent class
     */
    private static $publicProperties3ac02 = [
        
    ];

    public function getConnection()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getConnection', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getConnection();
    }

    public function getMetadataFactory()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getMetadataFactory', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getMetadataFactory();
    }

    public function getExpressionBuilder()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getExpressionBuilder', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getExpressionBuilder();
    }

    public function beginTransaction()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'beginTransaction', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->beginTransaction();
    }

    public function getCache()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getCache', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getCache();
    }

    public function transactional($func)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'transactional', array('func' => $func), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->transactional($func);
    }

    public function commit()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'commit', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->commit();
    }

    public function rollback()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'rollback', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->rollback();
    }

    public function getClassMetadata($className)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getClassMetadata', array('className' => $className), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getClassMetadata($className);
    }

    public function createQuery($dql = '')
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'createQuery', array('dql' => $dql), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->createQuery($dql);
    }

    public function createNamedQuery($name)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'createNamedQuery', array('name' => $name), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->createNamedQuery($name);
    }

    public function createNativeQuery($sql, \Doctrine\ORM\Query\ResultSetMapping $rsm)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'createNativeQuery', array('sql' => $sql, 'rsm' => $rsm), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->createNativeQuery($sql, $rsm);
    }

    public function createNamedNativeQuery($name)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'createNamedNativeQuery', array('name' => $name), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->createNamedNativeQuery($name);
    }

    public function createQueryBuilder()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'createQueryBuilder', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->createQueryBuilder();
    }

    public function flush($entity = null)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'flush', array('entity' => $entity), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->flush($entity);
    }

    public function find($className, $id, $lockMode = null, $lockVersion = null)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'find', array('className' => $className, 'id' => $id, 'lockMode' => $lockMode, 'lockVersion' => $lockVersion), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->find($className, $id, $lockMode, $lockVersion);
    }

    public function getReference($entityName, $id)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getReference', array('entityName' => $entityName, 'id' => $id), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getReference($entityName, $id);
    }

    public function getPartialReference($entityName, $identifier)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getPartialReference', array('entityName' => $entityName, 'identifier' => $identifier), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getPartialReference($entityName, $identifier);
    }

    public function clear($entityName = null)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'clear', array('entityName' => $entityName), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->clear($entityName);
    }

    public function close()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'close', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->close();
    }

    public function persist($entity)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'persist', array('entity' => $entity), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->persist($entity);
    }

    public function remove($entity)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'remove', array('entity' => $entity), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->remove($entity);
    }

    public function refresh($entity)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'refresh', array('entity' => $entity), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->refresh($entity);
    }

    public function detach($entity)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'detach', array('entity' => $entity), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->detach($entity);
    }

    public function merge($entity)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'merge', array('entity' => $entity), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->merge($entity);
    }

    public function copy($entity, $deep = false)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'copy', array('entity' => $entity, 'deep' => $deep), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->copy($entity, $deep);
    }

    public function lock($entity, $lockMode, $lockVersion = null)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'lock', array('entity' => $entity, 'lockMode' => $lockMode, 'lockVersion' => $lockVersion), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->lock($entity, $lockMode, $lockVersion);
    }

    public function getRepository($entityName)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getRepository', array('entityName' => $entityName), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getRepository($entityName);
    }

    public function contains($entity)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'contains', array('entity' => $entity), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->contains($entity);
    }

    public function getEventManager()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getEventManager', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getEventManager();
    }

    public function getConfiguration()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getConfiguration', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getConfiguration();
    }

    public function isOpen()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'isOpen', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->isOpen();
    }

    public function getUnitOfWork()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getUnitOfWork', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getUnitOfWork();
    }

    public function getHydrator($hydrationMode)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getHydrator', array('hydrationMode' => $hydrationMode), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getHydrator($hydrationMode);
    }

    public function newHydrator($hydrationMode)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'newHydrator', array('hydrationMode' => $hydrationMode), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->newHydrator($hydrationMode);
    }

    public function getProxyFactory()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getProxyFactory', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getProxyFactory();
    }

    public function initializeObject($obj)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'initializeObject', array('obj' => $obj), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->initializeObject($obj);
    }

    public function getFilters()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'getFilters', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->getFilters();
    }

    public function isFiltersStateClean()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'isFiltersStateClean', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->isFiltersStateClean();
    }

    public function hasFilters()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'hasFilters', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return $this->valueHolder4f10c->hasFilters();
    }

    /**
     * Constructor for lazy initialization
     *
     * @param \Closure|null $initializer
     */
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;

        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance   = $reflection->newInstanceWithoutConstructor();

        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $instance, 'Doctrine\\ORM\\EntityManager')->__invoke($instance);

        $instance->initializer7f831 = $initializer;

        return $instance;
    }

    protected function __construct(\Doctrine\DBAL\Connection $conn, \Doctrine\ORM\Configuration $config, \Doctrine\Common\EventManager $eventManager)
    {
        static $reflection;

        if (! $this->valueHolder4f10c) {
            $reflection = $reflection ?? new \ReflectionClass('Doctrine\\ORM\\EntityManager');
            $this->valueHolder4f10c = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $this, 'Doctrine\\ORM\\EntityManager')->__invoke($this);

        }

        $this->valueHolder4f10c->__construct($conn, $config, $eventManager);
    }

    public function & __get($name)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, '__get', ['name' => $name], $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        if (isset(self::$publicProperties3ac02[$name])) {
            return $this->valueHolder4f10c->$name;
        }

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4f10c;

            $backtrace = debug_backtrace(false, 1);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    get_parent_class($this),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
            return;
        }

        $targetObject = $this->valueHolder4f10c;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __set($name, $value)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, '__set', array('name' => $name, 'value' => $value), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4f10c;

            $targetObject->$name = $value; return $targetObject->$name;
            return;
        }

        $targetObject = $this->valueHolder4f10c;
        $accessor = function & () use ($targetObject, $name, $value) {
            $targetObject->$name = $value; return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __isset($name)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, '__isset', array('name' => $name), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4f10c;

            return isset($targetObject->$name);
            return;
        }

        $targetObject = $this->valueHolder4f10c;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __unset($name)
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, '__unset', array('name' => $name), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder4f10c;

            unset($targetObject->$name);
            return;
        }

        $targetObject = $this->valueHolder4f10c;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __clone()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, '__clone', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        $this->valueHolder4f10c = clone $this->valueHolder4f10c;
    }

    public function __sleep()
    {
        $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, '__sleep', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;

        return array('valueHolder4f10c');
    }

    public function __wakeup()
    {
        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $this, 'Doctrine\\ORM\\EntityManager')->__invoke($this);
    }

    public function setProxyInitializer(\Closure $initializer = null) : void
    {
        $this->initializer7f831 = $initializer;
    }

    public function getProxyInitializer() : ?\Closure
    {
        return $this->initializer7f831;
    }

    public function initializeProxy() : bool
    {
        return $this->initializer7f831 && ($this->initializer7f831->__invoke($valueHolder4f10c, $this, 'initializeProxy', array(), $this->initializer7f831) || 1) && $this->valueHolder4f10c = $valueHolder4f10c;
    }

    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder4f10c;
    }

    public function getWrappedValueHolderValue()
    {
        return $this->valueHolder4f10c;
    }


}

if (!\class_exists('EntityManager_9a5be93', false)) {
    \class_alias(__NAMESPACE__.'\\EntityManager_9a5be93', 'EntityManager_9a5be93', false);
}
